Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class Simple

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Simple

Direct Known Subclasses:
  Context, FTIndexAccess, Pos, RangeAccess, Root

    public abstract class Simple

extends Expr

Simple expression without arguments.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Constructor Summary
`Simple()`

Method Summary
`java.lang.String` | `color()` Returns a color string for the expression.
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `uses(Expr.Use u, QueryContext ctx)` Indicates if an expression uses the specified type.

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, iter, removable, remove, returned, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Simple

    public Simple()

Method Detail

### comp

    public final Expr comp(QueryContext ctx)

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression

### uses

    public boolean uses(Expr.Use u,
                        QueryContext ctx)

  Description copied from class: `Expr`
  Indicates if an expression uses the specified type. Called by the compiler to perform certain optimizations. `true` is returned by default and thus assumed as "worst-case".

  Specified by:
    `uses` in class `Expr`
  Parameters:
    `u` - use type to be checked
    `ctx` - query context
  Returns:
    result of check

### color

    public java.lang.String color()

  Description copied from class: `ExprInfo`
  Returns a color string for the expression.

  Overrides:
    `color` in class `ExprInfo`
  Returns:
    color

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD